<form class="form" (ngSubmit)="saveAddressee()" ngNativeValidate>
<div class="form-group row">
  <!-- nombre_rol -->

      <div class="col-6 pb-4">
          <label for="rut" class="required mt-3">Rut</label>
          <input
          autofocus
          autocomplete="off"  
          required
          type="text" 
          pattern="\d{3,8}-[\d|kK]{1}"
          class="form-control"
          [(ngModel)]="addressee.rut"
          name="rut_rol"
          title=" ingresa un rut valido sin puntos y con guión (11111111-1)"
          placeholder="11111111-1"
          [ngModelOptions]="{standalone: true}"

          >
        </div>
        <div class="col-6 pb-4">
            <label for="nombre" class="required mt-3">Nombre</label>
            <input 
            autofocus
            autocomplete="off"  
            required
            type="text" 
            class="form-control"
            [(ngModel)]="addressee.name"
            name="nombre_rol"
            placeholder="nombre destinatario"
            >
        </div>
        <div class="col-6 pb-4">
            <label for="correo" class="required mt-3">correo</label>
            <input 
            autofocus
            autocomplete="off"  
            required
            type="email" 
            class="form-control"
            [(ngModel)]="addressee.email"
            name="nombre_rol"
            placeholder="email destinatario"
            >
        </div>
        <div class="col-6 pb-4">
            <label for="telefono" class="required mt-3">telefono</label>
            <input 
            autofocus
            autocomplete="off"  
            required
            type="text" 
            class="form-control"
            [(ngModel)]="addressee.phone"
            name="phone"
            placeholder="telefono destinatario"
            minlength="7"
            maxlength="8"
            pattern="[0-9]+"
            title="Solo números"
            >
        </div>
        
        
        <div class="col-6 pb-4">
            <label for="correo" class="required mt-3">Banco</label>
            <ng-select [(ngModel)]="addressee.bank" [ngModelOptions]="{standalone: true}" >
                <ng-option *ngFor="let bank of banksList" [value]="bank.id">{{bank.name}}</ng-option>
            </ng-select>
        </div>
        <div class="col-6 pb-4">
            <label for="type" class="required mt-3">Tipo de cuenta</label>
            <ng-select [(ngModel)]="addressee.typeAcount" [ngModelOptions]="{standalone: true}" >
                <ng-option *ngFor="let type of typesList" [value]="type.id">{{type.type}}</ng-option>
            </ng-select>
        </div>
        
        <div class="col-6 pb-4">
            <label for="numCuenta" class="required mt-3">numero de cuenta</label>
            <input 
            autofocus
            autocomplete="off"  
            required
            type="number" 
            class="form-control"
            [(ngModel)]="addressee.numberAcount"
            name="acountNumbre"
            placeholder="telefono destinatario"
            >
        </div>
     <button type="submit" class="btn btn-success col-12">Guardar</button>
    </div>
</form>
    